Nástroj pro diagnostiku rozhraní DirectX

Dokumentace k Nástroji pro diagnostiku rozhraní Microsoft® DirectX® obsahuje následující témata:

  • Nástroj pro diagnostiku rozhraní DirectX
  • Nejčastější příčiny potíží
  • Testování součástí rozhraní DirectX
  • Přepsání výchozího nastavení
  • Obnovení ovladačů
  • Uložení informací
  • Odeslání zprávy o problémech


Nástroj pro diagnostiku rozhraní DirectX

Nástroj pro diagnostiku rozhraní DirectX® poskytuje informace o součástech a ovladačích rozhraní API pro programování aplikací Microsoft® DirectX a umožňuje testovat jak zvukový a grafický výstup, tak poskytovatele služeb součásti DirectPlay®. Umožňuje také zakázat některé funkce hardwarového urychlování.

Nástroj můžete použít ke shromáždění informací užitečných při kontaktování odborné pomoci, případně můžete informace uložit a vložit do zprávy elektronické pošty.

Informace jsou zobrazeny na několika kartách. Mezi jednotlivými kartami lze přecházet některou z následujících metod:

  • Klepněte na kartu.
  • Klepněte na tlačítko Další stránka.
  • Pokud je fokus vstupu na kartě, stiskněte klávesu ŠIPKA VLEVO nebo ŠIPKA VPRAVO.

Poznámka: Některé informace, například velikost paměti grafické karty, mohou být pouze přibližné.


Nejčastější příčiny potíží

Jestliže při spuštění aplikací rozhraní DirectX dochází k potížím, může Nástroj pro diagnostiku rozhraní DirectX pomoci najít jejich zdroj. Snažte se vyhledat zejména následující položky:

  • Chybné verze součástí rozhraní DirectX. Ve skupinovém rámečku Poznámky na kartě Soubory rozhraní DirectX vyhledejte varování týkající se souborů pro testování a ladění. Soubory pro testování představují dřívější zkušební verze a neměly by být instalovány spolu s komerčními aplikacemi. Verze určené k ladění, které jsou používány při vývoji programu a rovněž by neměly být instalovány spolu s konečným produktem, mohou způsobit, že aplikace budou pracovat výrazně pomaleji než při použití prodávaných verzí součástí.
  • Ovladače bez certifikátu. V seznamu souborů na kartě Ovladače rozhraní DirectX vyhledejte ovladače označené jako necertifikované. Další problémy mohou být uvedeny ve skupinovém rámečku Poznámky na kartách Zobrazení, Zvuk a Vstup. Necertifikované ovladače nebyly společností Microsoft podrobeny testům plné kompatibility s nejnovější verzí rozhraní DirectX.
  • Nedostatečné hardwarové urychlení. Není-li dostupné hardwarové urychlení DirectDraw® nebo Direct3D®, běží některé programy velmi pomalu nebo nepoběží vůbec. Na kartě Zobrazení ve skupinovém rámečku Funkce rozhraní DirectX zjistěte, zda je u součásti DirectDraw nebo Direct3D uvedeno označení „Není přístupné žádné urychlení“. Jestliže ano, zvažte inovaci hardwaru.
  • Zařízení není připojeno. Jestliže pákový ovladač nebo jiné vstupní zařízení neodpovídá, nejsou pravděpodobně správně nastaveny. Ujistěte se, zda je zařízení uvedeno na kartě Vstup Nástroje pro diagnostiku rozhraní DirectX. Pokud tomu tak není, přidejte dané zařízení v okně Ovládací panely.


Testování součástí rozhraní DirectX

Součásti DirectDraw a Direct3D je možné testovat na všech monitorech připojených k systému, součást DirectSound® na všech zařízeních s výstupem wave a součást DirectMusic® na všech hudebních portech.

Klepněte na tlačítko Test, přečtěte si všechny zobrazené zprávy a sledujte nebo poslouchejte testy. Po skončení každého testu se zobrazí zpráva s dotazem, zda byl test úspěšný. Pokud odpovíte Ne, nespustí se žádné další testy.

V případě součásti DirectMusic proběhne pouze jeden test. Jakmile se ujistíte, zda hudba hraje nebo nehraje správně, klepněte na tlačítko OK.

Funkčnost součásti DirectPlay můžete testovat také u kteréhokoli poskytovatele služeb.

Test součásti DirectPlay:

  1. Na kartě Síť klepněte na tlačítko Test rozhraní DirectPlay. V dialogovém okně Test rozhraní DirectPlay zadejte uživatelské jméno a zvolte poskytovatele služeb. Klepněte na přepínač Vytvořit novou relaci a klepněte na tlačítko OK. Pokud jste zvolili připojení pomocí modemu, klepněte na tlačítko Odpovědět v dialogovém okně Připojení modemem.
  2. Spusťte Nástroj pro diagnostiku rozhraní DirectX v jiném počítači, který s prvním počítačem může navázat vybrané připojení. Klepněte na tlačítko Test rozhraní DirectPlay, zadejte jiné uživatelské jméno, zvolte stejného poskytovatele služeb, klepněte na přepínač Přidat se k existující relaci a na tlačítko OK. U některých typů připojení můžete být požádáni o další informace, například telefonní číslo. V případě připojení TCP/IP v místní síti můžete textové pole ponechat nevyplněné.
  3. Na druhém počítači by se nyní měl zobrazit Seznam relací obsahující název relace vytvořené na prvním počítači. Vyberte jej a klepněte na tlačítko OK.
  4. Na obou počítačích by se nyní mělo zobrazit dialogové okno konverzace. Na jednom z počítačů zadejte do vstupního pole zprávu a klepněte na tlačítko Odeslat. Zpráva by se měla zobrazit v posuvné části dialogového okna konverzace na obou počítačích.


Přepsání výchozího nastavení

Na kartě Zvuk lze pomocí jezdce nastavit jinou úroveň hardwarového urychlování. Po ukončení Nástroje pro diagnostiku rozhraní DirectX bude zvolená úroveň nadále používána.

Poznámka: V systému Windows® 95 není tato funkce k dispozici.

Na kartě Zobrazení můžete u každého grafického zařízení instalovaného v systému klepnutím na tlačítko Zakázat zakázat hardwarové urychlení součástí DirectDraw nebo Direct3D (pokud je urychlení k dispozici). Zakážete-li urychlení, bude zakázáno i po ukončení Nástroje pro diagnostiku rozhraní DirectX a žádné aplikace nebudou moci urychlení využívat. Urychlení můžete znovu povolit klepnutím na tlačítko Povolit.

Poznámka: Zakážete-li urychlení součásti DirectDraw, bude urychlení zakázáno také v součásti Direct3D.

Je také možné přepsat obnovovací frekvenci monitoru nastavenou aplikacemi používající rozhraní DirectDraw v režimu zobrazení na celé obrazovce. Tento krok je vhodné provést pouze v případě, že u některých aplikací dochází k problémům se zobrazením a máte odůvodněné obavy, že tyto aplikace nastavují neplatnou obnovovací frekvenci.

Přepsání obnovovaní frekvence:

  1. Na kartě Další nápověda klepněte na tlačítko Přepsat.
  2. V dialogovém okně Přepsat nastavení obnovovací frekvence klepněte do textového pole a zadejte platnou obnovovací frekvenci monitoru. Tím je automaticky vybrán přepínač Nová hodnota.
  3. Klepněte na tlačítko OK.

Zrušení přepsaného nastavení obnovovací frekvence a povolení nastavení vlastní obnovovací frekvence v aplikacích používajících rozhraní DirectDraw:

  1. Na kartě Další nápověda klepněte na tlačítko Přepsat.
  2. V dialogovém okně Přepsat nastavení obnovovací frekvence klepněte na přepínač Výchozí.
  3. Klepněte na tlačítko OK.


Obnovení ovladačů

U některých konfigurací je pomocí Nástroje pro diagnostiku rozhraní DirectX® možné obnovit starší ovladače grafické a zvukové karty. Může se jednat o nejlepší způsob řešení problémů s nekompatibilními ovladači.

Jestliže je na kartě Další nápověda zobrazeno tlačítko Obnovit, spusťte klepnutím na něj instalační program rozhraní DirectX.

V instalačním programu se nalézají tlačítka Restore Audio Drivers (Obnovit ovladače zvuku) a Restore Display Drivers (Obnovit ovladače grafické karty). Klepnutím na tato tlačítka obnovíte ovladače nahrazené při instalaci rozhraní DirectX do vašeho systému. Pokud není některé z tlačítek k dispozici, nejsou dostupné žádné starší ovladače, ke kterým se lze vrátit. V takovém případě si od výrobce hardwaru obstarejte nejnovější ovladače.

V instalačním programu rozhraní DirectX lze rovněž pomocí příslušného zaškrtávacího políčka zakázat hardwarové urychlení součásti Direct3D. Totéž je možné provést přímo v programu DxDiag. (Další informace naleznete v tématu Přepsání výchozího nastavení.)


Uložení informací

Informace shromážděné pomocí Nástroje pro diagnostiku rozhraní DirectX lze uložit dvěma způsoby:

  • Klepněte na tlačítko Uložit všechny informace. Tím uložíte do souboru s určitým názvem ve zvoleném umístění veškeré informace ze všech karet.

Pokud jste vývojář a máte k dispozici verzi nástroje pro vývojáře, můžete také:

  • Na kartě Další nápověda klepnout na tlačítko Zaslat zprávu. Zobrazí se dialogové okno Zpráva o chybě. Po zadání všech potřebných údajů klepněte na tlačítko Odeslat. V dočasném adresáři (například C:\Windows\Temp) se vytvoří soubor Dxdiag.txt a otevře se v okně programu Poznámkový blok. V souboru jsou uloženy stejné informace, jako lze shromáždit předchozí metodou, ale také osobní a další informace, které jste zadali.


Odeslání zprávy o problémech

Jestliže dochází k potížím, které pravděpodobně souvisejí se součástí či ovladačem rozhraní DirectX, můžete využít Služby odborné pomoci společnosti Microsoft (další informace naleznete v nápovědě systému Microsoft® Windows® v tématu Odstraňování problémů). Pokud jste vývojář a máte k dispozici verzi diagnostického nástroje pro vývojáře, můžete také zaslat zprávu o problému prostřednictvím elektronické pošty.

Poznámka: Tyto pokyny se týkají pouze verze nástroje určené pro vývojáře. U některých uživatelů není tato možnost k dispozici.

Odeslání zprávy o problému elektronickou poštou:

  1. Na kartě Další nápověda klepněte na tlačítko Zaslat zprávu.
  2. V dialogovém okně Zpráva o chybě vyplňte všechna náležitá pole a potom klepněte na tlačítko Odeslat.
  3. Zobrazená zpráva poskytuje informace o úplné cestě k vytvořenému textovému souboru a adrese elektronické pošty. Adresu si poznamenejte. Klepněte na tlačítko OK. Obsah souboru Dxdiag.txt se otevře v okně programu Poznámkový blok.
  4. V nabídce Úpravy programu Poznámkový blok klepněte na příkaz Vybrat vše a pak pomocí příkazu Kopírovat uložte celý obsah souboru do schránky.
  5. V poštovním programu vytvořte novou zprávu a jako její text vložte obsah schránky. Zprávu odešlete na adresu poznamenanou v bodě 3.


Téma nebylo nalezeno.

Nebylo nalezeno žádné odpovídající téma. Následují možné dùvody a øešení tohoto problému:

  • Soubor CHM, který obsahuje cílová témata, nebyl nalezen v oèekávaném umístìní.

    Øešení: Spuste znovu instalaci knihovny MSDN.

  • Soubor CHM, který obsahuje dané téma nebo cílová témata, není aktuální a propojení již není platné.

    Øešení: Nainstalujte nejnovìjší verzi knihovny MSDN.

  • Disk CD-ROM s knihovnou MSDN není vložen do jednotky CD-ROM.

    Øešení: Vložte disk CD-ROM s knihovnou MSDN do jednotky.

Sestaveno ve ètvrtek 29. èervence 1999.